%define name            zope-CMFPlone

%define version         2.5
%define release         1

%define real_name       Plone
%define zope_minver     2.8

%define zope_home      %{_prefix}/lib/zope
%define software_home  %{zope_home}/lib/python

Summary:        A user friendly and powerful open source Content Management System
Name:           %{name}
Version:        %{version}
Release:        %mkrel %{release}
License:        GPL
Group:          System/Servers
Source:         http://belnet.dl.sourceforge.net/sourceforge/plone/%{real_name}-%{version}.tar.bz2
URL:            http://plone.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       zope >= %{zope_minver}
Requires:       zope-ATReferenceBrowserWidget >= 1.4
Requires:       zope-Archetypes >= 1.4.0-final
Requires:       zope-BTreeFolder2 >= 1.0.2
Requires:       zope-CMF >= 1.6.1
Requires:       zope-CMFDynamicViewFTI >= 2.0.0
Requires:       zope-CMFFormController >= 2.0.4
Requires:	zope-CMFPlacefulWorkflow >= 1.0.0-final
Requires:       zope-CMFQuickInstallerTool >= 1.5.9
Requires:	zope-CacheFu
Requires:	zope-ExtendedPathIndex >= 2.3
Requires:       zope-ExternalEditor >= 0.9.1
Requires:       zope-GroupUserFolder >= 3.52
Requires:	zope-PasswordResetTool >= 0.4
Requires:       zope-PlacelessTranslationService >= 1.3.1
Requires:       zope-PloneErrorReporting >= 0.11
Requires:       zope-PloneLanguageTool >= 1.3
Requires:	zope-PlonePAS >= 2.0.1
Requires:	zope-PloneTestCase >= 0.8.2
Requires:	zope-PloneTranslations >= 2.5.0
Requires:	zope-PluggableAuthService >= 1.2
Requires:	zope-PluginRegistry >= 1.1
Requires:       zope-ResourceRegistries >= 1.3
Requires:       zope-SecureMailHost >= 1.0.4
Requires:       zope-kupu >= 1.3.7-plone
Requires:	zope-statusmessages >= 2.0

# no more required
# Requires:     zope-Epoz >= 0.8.2
# Requires:     zope-CMFActionIcons >= 0.9
# Requires:     zope-Formulator >= 1.6.2

Provides:       plone == %{version}
Obsoletes:      plone
Provides:       zope-ATContentTypes == 1.1.1-final
Obsoletes:       zope-ATContentTypes
Provides:	zope-GenericSetup == 1.1

%description
Plone is powerful and flexible. It is ideal as an intranet and extranet server,
as a document publishing system, a portal server and as a groupware tool for
collaboration between separately located entities. 

Plone is easy to use. The Plone Team includes usability experts who have made
Plone easy and attractive for content managers to add, update, and maintain
content.

Plone is international. The Plone interface has been translated into over 40
languages, and tools exist for managing multilingual content.

Plone is standard. Plone carefully follows standards for usability and
accessibility. Plone pages are compliant with US Section 508, and the W3C's AA
rating for accessibility, in addition to using best-practice web standards like
XHTML and CSS.

Plone is Open Source. Plone is licensed under the GNU General Public License,
the same license Linux uses. This gives you the right to use Plone without a
license fee, and to improve upon the product.

Plone is supported. There are close to a hundred developers in the Plone
Development Team around the world, and a multitude of companies specializing in
Plone development and support.

Plone is extensible. There are many add-on products for Plone that add new
features and content types. In addition, Plone can be scripted using web
standard solutions and Open Source languages.

Plone is technology neutral. Plone can interoperate with most relational
database systems, open source and commercial, and runs on a vast array of
platforms, including Linux, Windows, Mac OS X, Solaris and BSD.

Plone is protected. The nonprofit Plone Foundation was formed in 2004 to 
promote the use of Plone around the world and protect the Plone IP and 
trademarks.

Plone is built using Zope, an object oriented application server. The language
that drives Zope and Plone is Python - the agile language preferred by Google,
NASA, Industrial Light and Magic and many others. Why? Because Python offers
unprecedented programmer productivity.

%prep
%setup -q -n %{real_name}-%{version}

%build
# nothing to do here

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
# copy only CMFPlone folder
%{__cp} -a CMFPlone ATContentTypes GenericSetup %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}


%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*


%changelog
* Tue Aug 08 2006 glehmann
+ 08/08/06 14:56:10 (54568)
update to 2.5

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 16:35:21 (54007)
- Fix  rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:57:28 (42750)
Import zope-CMFPlone

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.1.2-3mdk
- update version of required products

* Tue Feb 28 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.1.2-1mdk
- New release 2.1.2

* Fri Dec 02 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.1.1-2mdk
- fix Requires

* Sat Oct 22 2005 Gaetan Lehmann <glehmann@deborah.mandriva.com> 2.1.1-1mdk
- New release 2.1.1

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.5-7mdk
- fix path on x86_64

* Sun May 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.5-6mdk
- obsoletes plone

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.5-5mdk
- use mkrel
- drop archetypes subpackage requirement
- rename from plone to zope-CMFPlone

* Thu Jan 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.5-4mdk
- keep anly plone product (CMFPlone)
- use summary and description from http://plone.org
- remove Buildrequires python
- fix source url

* Fri Jan 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.5-3mdk
- remove validation, generator, Archetypes, PortalTransforms and Epoz
- fix uninstall error message

* Sun Dec 12 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.5-2mdk
- remove gruf and README.txt
- add zope restart

* Mon Dec 06 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.5-1mdk
- initial contrib
- 2.0.5

* Wed Oct 20 2004 Matthias Saou <http://freshrpms.net/> 2.0.4-0.1
- Update to 2.0.4.

* Fri May 14 2004 Matthias Saou <http://freshrpms.net/> 2.0.2-0.1
- Update to 2.0.2.
- No longer require zope-cmf, it seems provided now.

* Wed Mar 24 2004 Matthias Saou <http://freshrpms.net/> 2.0-0.3
- Update to 2.0 final.

* Thu Mar 04 2004 Matthias Saou <http://freshrpms.net/> 2.0-0.2.rc6
- Update to 2.0-rc6.

* Thu Feb 19 2004 Matthias Saou <http://freshrpms.net/> 2.0-0.2.rc5
- Initial RPM release.

